:mod:`cjklib.dictionary.search` --- Search strategies for dictionaries
======================================================================

.. versionadded:: 0.3

.. automodule:: cjklib.dictionary.search


Functions
----------

.. autofunction:: setDefaultWildcards




Classes
--------

.. currentmodule:: cjklib.dictionary.search

.. autoclass:: CEDICTTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: CEDICTWildcardTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: Exact
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HanDeDictTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: HanDeDictWildcardTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MixedTonelessWildcardReading
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: MixedWildcardReading
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SimpleReading
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SimpleTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SimpleWildcardReading
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SimpleWildcardTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: SingleEntryTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: TonelessWildcardReading
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: Wildcard
   :show-inheritance:
   :members:
   :undoc-members:
   

.. autoclass:: WildcardTranslation
   :show-inheritance:
   :members:
   :undoc-members:
   
